lookup {rstan} | R Documentation

## Look up the Stan function that corresponds to a R function or name.

### Description

This function helps to map between R functions and Stan functions.

### Usage

      lookup(FUN, ReturnType = character())

### Arguments

`FUN` | A character string naming a R function or a R function for which the (near) equivalent Stan function is sought. If no matching R function is found, `FUN` is reinterpreted as a `regexp` and matches are sought.
`ReturnType` | A character string of positive length naming a valid return type for a Stan function: `int`, `int[]`, `matrix`, `real`, `real[,]`, `real[]`, `row_vector`, `T[]`, `vector`, or `void`. If `"ANY"` is passed, then the entire `data.frame` is returned and can be inspected with the `View` function, for example.

### Value

Ordinarily, a data.frame with rows equal to the number of partial matches and four columns:

1. `StanFunction` Character string for the Stan function's name.

2. `Arguments` Character string indicating the arguments to that Stan function.

3. `ReturnType` Character string indicating the return type of that Stan function.

4. `Page` Integer indicating the page of the Stan reference manual where that Stan function is defined.

If there are no matching Stan functions, a character string indicating so is returned.

### References

The Stan Development Team Stan Modeling Language User's Guide and Reference Manual. http://mc-stan.org/.

The Stan Development Team CmdStan Interface User's Guide. http://mc-stan.org.

### Examples

    lookup(dnorm)      # Stan equivalents for the normal PDF (in log form)
    lookup("foo")      # fails
    lookup("Student")  # succeeds even though there is no such R function
    lookup("^poisson") # every Stan function that starts with poisson

[Package rstan version 2.12.1 Index]